-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_PromotoreBancario_pre_selective

CREATE procedure [C6StagingPeriodico].[RP_ST_PromotoreBancario_pre_selective] 

as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PromotoreBancario_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)

truncate table C6StagingPeriodico.RP_PromotoreBancario

insert into C6StagingPeriodico.RP_PromotoreBancario
(
chiavePB
,codage
,nome
,cognome
,[status]
,livello
,rete
,indirizzo
,numCivico
,citta
,prov
,cap
,nazione
,ptel
,tel
,tipologia
,grado
,codManager 
)
	select  
		chiavePB
		,codage
		,nome
		,cognome
		,[status]
		,livello
		,rete
		,indirizzo
		,numCivico
		,citta
		,prov
		,cap
		,nazione
		,ptel
		,tel
		,tipologia
		,grado
		,null --codManager 
	from [CONSUNI_PERIODICO].[ConsulenzaUnica].dbo.PromotoreBancario
	


	---- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PromotoreBancario_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PromotoreBancario_pre_selective'
		)
	
end


